# Uses of Class
javafx.scene.control.DialogPane

Packages that use DialogPane
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of DialogPane in javafx.scene.control

Methods in javafx.scene.control that return DialogPane
Modifier and Type
Method
Description
`final DialogPane`
Dialog.`getDialogPane()`
Gets the value of the `dialogPane` property.
Methods in javafx.scene.control that return types with arguments of type DialogPane
Modifier and Type
Method
Description
`final ObjectProperty<DialogPane>`
Dialog.`dialogPaneProperty()`
The root node of the dialog, the `DialogPane` contains all visual elements shown in the dialog.
Methods in javafx.scene.control with parameters of type DialogPane
Modifier and Type
Method
Description
`final void`
Dialog.`setDialogPane(DialogPane value)`
Sets the value of the `dialogPane` property.